python-purl_1.3.1-1_all.deb


Advertisement

Description

python-purl - URL interrogation and manipulation

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name python-purl
Package version 1.3.1
Package release 1
Package architecture all
Package type deb
Installed size 53 B
Download size 12.45 KB
Official Mirror archive.ubuntu.com
A simple, immutable URL class with a clean API for interrogation and
manipulation that also supports template URLs as per RFC 6570.
It parses URLs into URL objects which are immutable but also provides mutator
methods for all segments which return a new URL instance. This allows for
easy modification of URLs during runtime.

Alternatives

Package Version Architecture Repository
python-purl_1.3.1-1_all.deb 1.3.1 all Ubuntu Universe
python-purl - - -

Requires

Name Value
python-six -
python:any << 2.8
python:any >= 2.7.5-5~

Download

Type URL
Binary Package python-purl_1.3.1-1_all.deb
Source Package purl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-purl deb package:
    # sudo apt-get install python-purl

Files

Path
/usr/lib/python2.7/dist-packages/purl/__init__.py
/usr/lib/python2.7/dist-packages/purl/template.py
/usr/lib/python2.7/dist-packages/purl/url.py
/usr/lib/python2.7/dist-packages/purl-1.3.1.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/purl-1.3.1.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/purl-1.3.1.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/purl-1.3.1.egg-info/top_level.txt
/usr/share/doc/python-purl/README.rst.gz
/usr/share/doc/python-purl/changelog.Debian.gz
/usr/share/doc/python-purl/copyright

Changelog

2017-07-11 - Michael Fladischer <fladi@debian.org>
purl (1.3.1-1) unstable; urgency=low
* Bump Standards-Version to 4.0.0.
2017-05-16 - Michael Fladischer <fladi@debian.org>
purl (1.3.1-1~exp1) unstable; urgency=low
* New upstream release.
* Add PyPy support package.
* Add missing Build-Depends for dh-python.
* Fix spelling error in long description.
* Use https:// for copyright-format 1.0 URL.
2016-05-04 - Michael Fladischer <fladi@debian.org>
purl (1.3-1) unstable; urgency=low
[ Ondřej Nový ]
* Fixed VCS URL (https)
[ Michael Fladischer ]
* New upstream release.
* Bump Standards-Version to 3.9.8.
* Remove XS-Autobuild field as it is only used by packages in contrib
and non-free.
2016-01-25 - Michael Fladischer <fladi@debian.org>
purl (1.2-1) unstable; urgency=low
* New upstream release.
* Reformat packaging files with cme for better readability.
2015-10-19 - Michael Fladischer <fladi@debian.org>
purl (1.1-2) unstable; urgency=medium
* Add python(3)-six to Build-Depends (Closes: #802108).
* git-dpm config
2015-04-02 - Michael Fladischer <fladi@debian.org>
purl (1.1-1) unstable; urgency=medium
* Initial release (Closes: #787107).

See Also

Package Description
python-pushy_0.5.3-1ubuntu1_i386.deb Simple interface for connecting two python interpreters
python-pwquality_1.4.0-1_i386.deb Python bindings for libpwquality
python-py_1.4.34-2ubuntu1_all.deb Advanced Python development support library (Python 2)
python-pyalsa_1.0.29-1_i386.deb Official ALSA Python binding library
python-pyao_0.82-5build1_i386.deb Python interface to the Audio Output library
python-pyassimp_3.3.1~dfsg-5_all.deb 3D model import library (Python bindings)
python-pyatspi2_2.24.0+dfsg-1_all.deb Transitional package for assistive technology Python bindings
python-pyatspi_2.24.0+dfsg-1_all.deb Assistive Technology Service Provider Interface - Python bindings
python-pyaudio-doc_0.2.11-1build2_all.deb Documentation for Python bindings for PortAudio v19
python-pyaudio_0.2.11-1build2_i386.deb Python bindings for PortAudio v19
python-pyavm_0.9.4-1_all.deb Python module to handle Astronomy Visualization Metadata Standard
python-pybiggles_1.6.6-3_i386.deb Scientific plotting package for Python
python-pybigwig_0.3.2-1ubuntu5_i386.deb Python 2 module for quick access to bigBed and bigWig files
python-pybind11_2.0.1-4_all.deb pybind11 helper module for Python 2
python-pybloomfiltermmap_0.3.15-0.1build1_i386.deb Bloom filter (bloomfilter) for Python built on mmap
Advertisement
Advertisement